var Promise = require('promise');
var configjs = require('./config');
module.exports = function (RED) {

    function ArnidosmarthomeNotificationNode(config) {
        RED.nodes.createNode(this, config);

        console.debug("ArnidosmarthomeNotificationNode")
        console.debug(config);

        this.conf = configjs.getNode();
        this.name = config.name;

        if (this.conf && this.name) {

            this.on('input', msg => {
                console.debug("Input Message Received");
                console.log(msg);
                this.conf.sendNotification(this.name).then((ret) => {
                    console.log("notification Send")
                }).catch((ret) => {
                    console.error("Error updating device");
                });
            });

            this.on('close', () => {
                console.debug("Closed");
                this.conf.unregisterCallback(this, this.device, callback);
            });
        }
    }

    RED.nodes.registerType("arnidosmarthome-node-notification", ArnidosmarthomeNotificationNode);

};
